/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package phonebook;

/**
 *
 * @author bar
 */
public class PersonImpl implements Person {

    private String name, surname;

    public PersonImpl(String name, String surname) {
        this.name = name;
        this.surname = surname;
    }
    
    public String getName() {
        return name;
    }

    public String getSurname() {
        return surname;
    }

    
    public int compareTo(Person o) {
        String name1 = this.surname + this.name;
        String name2 = o.getSurname() + o.getName();
        return name1.compareToIgnoreCase(name2);

    }
    
    public String toString(){
        return name + " " + surname;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final PersonImpl other = (PersonImpl) obj;
        if (this.name != other.name && (this.name == null || !this.name.equals(other.name))) {
            return false;
        }
        if (this.surname != other.surname && (this.surname == null || !this.surname.equals(other.surname))) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 37 * hash + (this.name != null ? this.name.hashCode() : 0);
        hash = 37 * hash + (this.surname != null ? this.surname.hashCode() : 0);
        return hash;
    }

}
