/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package phonebook;

/**
 *
 * @author bar
 */
public class PhoneImpl implements Phone{

    private String address, phone;

    public PhoneImpl(String address, String phone) {
        this.address = address;
        this.phone = phone;
    }
    
    public String getAddress() {
        return address;
    }

    public String getNumber() {
        return phone;
    }
    
    public String toString(){
        return address + ": " + phone;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final PhoneImpl other = (PhoneImpl) obj;
        if (this.address != other.address && (this.address == null || !this.address.equals(other.address))) {
            return false;
        }
        if (this.phone != other.phone && (this.phone == null || !this.phone.equals(other.phone))) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 61 * hash + (this.address != null ? this.address.hashCode() : 0);
        hash = 61 * hash + (this.phone != null ? this.phone.hashCode() : 0);
        return hash;
    }

}
